• Esta dirección de correo electrónico está siendo protegida contra los robots de spam. Necesita tener JavaScript habilitado para poder verlo.

Firmware-sprinter

Firmware-sprinter Publicado por Miquel Rosell

Posted 3 años 1 mes antes #2060
Hola a todos , me he embarcado en hacer una impresora, siguiendo los pasos de Raúl Diosdado, el tutorial esta de fabula, explicado al detalle, hasta para los mas torpes, pero siempre hay alguno mas torpe, ja.ja. Bueno a lo que quería consultar en este post, tengo ya montada toda la impresora prácticamente, logre no se como instalar el sprinter en el arduino mega, y ja calibre los drivers de cada eje, pero ahora al querer calibrar el extrusor , no me deja copilar de nuevo el sprinter, me da un error // avr-g++ "error > 2", , lo he probado con windows y la 0022 que se ofrece en la web y también en linux, y el mismo resultado.
Puede ser que por actualizaciones del sistema , produzca este error?. se podría en este momento de la construcción , habiendo configurado los drivers (pololus) utilizar ya el marlin?
He estado mirando por el foro , pero no he visto que a nadie le hubiera pasado , muy buena pagina web , muchas gracia por vuestro tiempo , y claro esta para Raúl mil gracias.
Y cuidaos mucho , que esta la cosa muy mala.
Last Edit:3 años 1 mes antes Post by Miquel Rosell
Adjuntos:
Última Edición: 3 años 1 mes antes por Miquel Rosell.

Por favor, Identificarse o Crear cuenta para unirse a la conversación.

Respuesta de Raúl Diosdado sobre el tema Firmware-sprinter

Posted 3 años 1 mes antes #2061
Buenos días,
según la imagen que has adjuntado te está dando un error en la compilación, con esto descartamos que tengas la placa mal o alguna conexión. Te diría que para hacer una comprobación rápidas simplemente intentes subir un programa vacío.
void setup()
{
}
void loop()
{
}
Si te da error, mira a ver que placa tienes seleccionada o si has marcado alguna opción rara en el compilador.
Intenta hacer esto con diferentes versiones a ver que tal.
Si eres capaz de compilar y subir algún programa vacío el error debe estar en algo que has escrito dentro del programa que te da error.
Post by Raúl Diosdado
El siguiente usuario dijo gracias: Miquel Rosell

Por favor, Identificarse o Crear cuenta para unirse a la conversación.

Respuesta de Miquel Rosell sobre el tema Firmware-sprinter

Posted 3 años 1 mes antes #2063
Gracias Raúl , lo he probado y me sigue dando error , he mirado en preferencias y creo que esta bien. te envió esta imagen, me parece entender que no tengo carpeta de recepción. no se que estoy haciendo mal.
muchas gracias, por contestar y en domingo.
Post by Miquel Rosell
Adjuntos:

Por favor, Identificarse o Crear cuenta para unirse a la conversación.

Respuesta de Miquel Rosell sobre el tema Firmware-sprinter

Posted 3 años 1 mes antes #2064
Muchas gracias, tema resuelto , volví a descargar la 0022, y ahora funciona, al menos la probación del código, aun lo lo he traspasado a la placa , pues no la tengo aquí, mil gracias
Post by Miquel Rosell

Por favor, Identificarse o Crear cuenta para unirse a la conversación.

Respuesta de Raúl Diosdado sobre el tema Firmware-sprinter

Posted 3 años 1 mes antes #2066
Buenos días,
el problema lo has tenido con alguna incompatibilidad, si tienes varias versiones del IDE de Arduino o has instalado varias veces, aquí tienes algo más de información por si te pasa otra vez:
forum.arduino.cc/index.php?topic=499956.0
Básicamente lo que hay que hacer es borrar el directorio que se llama "Arduino15"
Post by Raúl Diosdado

Por favor, Identificarse o Crear cuenta para unirse a la conversación.

Respuesta de Miquel Rosell sobre el tema Firmware-sprinter

Posted 3 años 1 mes antes #2068
muchas gracias , así lo haré , lo único es que soy un poco testarudo con windows, y me gustaría que hacerlo todo con linux. pero no lo consigo , bueno que se va hacer , tendremos que purgar con windows , ja,ja...
Post by Miquel Rosell

Por favor, Identificarse o Crear cuenta para unirse a la conversación.

Tiempo de carga de la página: 1.665 segundos